## org.eclipse.uml2.uml
Interface Image

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface Image

extends Element

A representation of the model object 'Image'. Physical definition of a graphical image.

The following features are supported:

- `Content`
- `Location`
- `Format`

See Also:
  `UMLPackage.getImage()`

Field Summary
`static java.lang.String` `FORMAT_BMP`
`static java.lang.String` `FORMAT_EMF`
`static java.lang.String` `FORMAT_GIF`
`static java.lang.String` `FORMAT_JPG`
`static java.lang.String` `FORMAT_PNG`
`static java.lang.String` `FORMAT_PREFIX_MIME`
`static java.lang.String` `FORMAT_SVG`
`static java.lang.String` `FORMAT_WMF`

Method Summary
`java.lang.String` `getContent()` Returns the value of the 'Content' attribute
`java.lang.String` `getFormat()` Returns the value of the 'Format' attribute
`java.lang.String` `getLocation()` Returns the value of the 'Location' attribute
`boolean` `isSetContent()` Returns whether the value of the '`Content`' attribute is set
`boolean` `isSetFormat()` Returns whether the value of the '`Format`' attribute is set
`boolean` `isSetLocation()` Returns whether the value of the '`Location`' attribute is set
`void` `setContent(java.lang.String value)` Sets the value of the '`Content`' attribute
`void` `setFormat(java.lang.String value)` Sets the value of the '`Format`' attribute
`void` `setLocation(java.lang.String value)` Sets the value of the '`Location`' attribute
`void` `unsetContent()` Unsets the value of the '`Content`' attribute
`void` `unsetFormat()` Unsets the value of the '`Format`' attribute
`void` `unsetLocation()` Unsets the value of the '`Location`' attribute

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### FORMAT_SVG

    static final java.lang.String FORMAT_SVG

See Also:
  Constant Field Values

### FORMAT_GIF

    static final java.lang.String FORMAT_GIF

See Also:
  Constant Field Values

### FORMAT_PNG

    static final java.lang.String FORMAT_PNG

See Also:
  Constant Field Values

### FORMAT_JPG

    static final java.lang.String FORMAT_JPG

See Also:
  Constant Field Values

### FORMAT_WMF

    static final java.lang.String FORMAT_WMF

See Also:
  Constant Field Values

### FORMAT_EMF

    static final java.lang.String FORMAT_EMF

See Also:
  Constant Field Values

### FORMAT_BMP

    static final java.lang.String FORMAT_BMP

See Also:
  Constant Field Values

### FORMAT_PREFIX_MIME

    static final java.lang.String FORMAT_PREFIX_MIME

See Also:
  Constant Field Values

Method Detail

### getContent

    java.lang.String getContent()

  Returns the value of the 'Content' attribute. This contains the serialization of the image according to the format. The value could represent a bitmap, image such as a GIF file, or drawing 'instructions' using a standard such as Scalable Vector Graphic (SVG) (which is XML based).

  Returns:
    the value of the 'Content' attribute.
  See Also:
    `isSetContent()`, `unsetContent()`, `setContent(String)`, `UMLPackage.getImage_Content()`

### setContent

    void setContent(java.lang.String value)

  Sets the value of the '`Content`' attribute.

  Parameters:
    `value` - the new value of the 'Content' attribute.
  See Also:
    `isSetContent()`, `unsetContent()`, `getContent()`

### unsetContent

    void unsetContent()

  Unsets the value of the '`Content`' attribute.

  See Also:
    `isSetContent()`, `getContent()`, `setContent(String)`

### isSetContent

    boolean isSetContent()

  Returns whether the value of the '`Content`' attribute is set.

  Returns:
    whether the value of the 'Content' attribute is set.
  See Also:
    `unsetContent()`, `getContent()`, `setContent(String)`

### getLocation

    java.lang.String getLocation()

  Returns the value of the 'Location' attribute. This contains a location that can be used by a tool to locate the image as an alternative to embedding it in the stereotype.

  Returns:
    the value of the 'Location' attribute.
  See Also:
    `isSetLocation()`, `unsetLocation()`, `setLocation(String)`, `UMLPackage.getImage_Location()`

### setLocation

    void setLocation(java.lang.String value)

  Sets the value of the '`Location`' attribute.

  Parameters:
    `value` - the new value of the 'Location' attribute.
  See Also:
    `isSetLocation()`, `unsetLocation()`, `getLocation()`

### unsetLocation

    void unsetLocation()

  Unsets the value of the '`Location`' attribute.

  See Also:
    `isSetLocation()`, `getLocation()`, `setLocation(String)`

### isSetLocation

    boolean isSetLocation()

  Returns whether the value of the '`Location`' attribute is set.

  Returns:
    whether the value of the 'Location' attribute is set.
  See Also:
    `unsetLocation()`, `getLocation()`, `setLocation(String)`

### getFormat

    java.lang.String getFormat()

  Returns the value of the 'Format' attribute. This indicates the format of the content - which is how the string content should be interpreted. The following values are reserved: SVG, GIF, PNG, JPG, WMF, EMF, BMP. In addition the prefix 'MIME: ' is also reserved. This option can be used as an alternative to express the reserved values above, for example "SVG" could instead be expressed as "MIME: image/svg+xml".

  Returns:
    the value of the 'Format' attribute.
  See Also:
    `isSetFormat()`, `unsetFormat()`, `setFormat(String)`, `UMLPackage.getImage_Format()`

### setFormat

    void setFormat(java.lang.String value)

  Sets the value of the '`Format`' attribute.

  Parameters:
    `value` - the new value of the 'Format' attribute.
  See Also:
    `isSetFormat()`, `unsetFormat()`, `getFormat()`

### unsetFormat

    void unsetFormat()

  Unsets the value of the '`Format`' attribute.

  See Also:
    `isSetFormat()`, `getFormat()`, `setFormat(String)`

### isSetFormat

    boolean isSetFormat()

  Returns whether the value of the '`Format`' attribute is set.

  Returns:
    whether the value of the 'Format' attribute is set.
  See Also:
    `unsetFormat()`, `getFormat()`, `setFormat(String)`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.